<?php

namespace App\Http\Controllers\Z_Core;

use App\Http\Controllers\Controller;
use App\Models\Booking\BookGr;
use App\Models\Master\Party;
use Barryvdh\DomPDF\PDF;
use Barryvdh\Snappy\Facades\SnappyPdf;
use Exception;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\View;
use PHPMailer\PHPMailer\PHPMailer;

class EmailController extends Controller
{

    // MESSAGE KI BODY CREATE KI HAI
    public function sender(Request $request){

        $type = $request->type;
        $company_name = $request->company['company_name'];
        $mail_to = $request->mail_to;
         
        
        if($type == 'GR' ){
            
            $book_gr = BookGr::with(['consignor:id,party_name','consignee:id,party_name','acc_party:id,account_name','source:id,station_name','destination:id,station_name'])->where('gr_number',$request->gr_number)->first();

            $gr_date = date('d-m-Y', strtotime($book_gr->gr_date));

            $subject = 'GR Number : '.$request->gr_number.'   Dated:'.$gr_date;

            $source = $book_gr->source['station_name'];
            $destination = $book_gr->destination['station_name'];
            
            $pdf = SnappyPdf::loadHTML(View::make('docs.gr_print', ['data' => $book_gr])->render());
            
            // Set paper size and orientation
            $pdf->setOption('orientation', 'portrait');
            $pdf->setOption('page-size', 'A4');

           
            // Get the PDF content
            $pdfContent = $pdf->output();




            // Replace the forward slash in gr_number for the filename
            $safe_gr_number = str_replace('/', '_', $request->gr_number);
            $filename = $safe_gr_number . '.pdf';
            $attachmentPath = storage_path('app/public/gr_attachments/' . $filename);
            
           
    
            file_put_contents($attachmentPath, $pdfContent);
            
              $attachmentPath = url('storage/gr_attachments/' . $filename);
             
              //dd($attachmentPath);
              

            if($mail_to=='Consignor' || $mail_to=='Both'){
                $party_name = $book_gr->consignor['party_name'];

                $receiver_email = Party::select('email')->where('party_name',$party_name)->value('email');

                if(!$receiver_email){
                    return response(['error_message'=>'Consignor Email Not Found']);
                }        

                $body =  "Dear $party_name, <br/><br/>

                We hope this message finds you well. Thank you for selecting $company_name as your logistics partner. We are pleased to inform you that your Goods Receipt (GR) request has been successfully processed.<br/><br/>
                
                Please find attached the PDF document containing the details of your GR: <br/> <br/>
                
                GR Number: <b> $request->gr_number</b> <br/>
                Date of GR: $gr_date <br/>
                Pickup Location: $source <br/>
                Delivery Location: $destination <br/><br/>
                
                Best regards,<br/>
                $company_name";

                $response =  $this->sendMail($receiver_email, $subject, $body, $request->company_name, true, $attachmentPath);

            }

            if($mail_to=='Consignee' || $mail_to=='Both'){
                $party_name = $book_gr->consignee['party_name'];

                $receiver_email = Party::select('email')->where('party_name',$party_name)->value('email');

                if(!$receiver_email){
                    return response(['error_message'=>'Consignor Email Not Found']);
                }        

                $body =  "Dear $party_name, <br/><br/>

                We hope this message finds you well. Thank you for selecting $company_name as your logistics partner. We are pleased to inform you that your Goods Receipt (GR) request has been successfully processed.<br/><br/>
                
                Please find attached the PDF document containing the details of your GR: <br/> <br/>
                
                GR Number: <b> $request->gr_number</b> <br/>
                Date of GR: $gr_date <br/>
                Pickup Location: $source <br/>
                Delivery Location: $destination <br/><br/>
                
                Best regards,<br/>
                $company_name";

                $response =  $this->sendMail($receiver_email, $subject, $body, $request->company_name, true, $attachmentPath);

            }


        }


       return response()->json(['status'=>$response->original, 'success'=>$response->original['success']] ,$response->original['success']=="Success"?200:500);

    }



    function sendMail($toMail, $subject, $body, $company_name, $attachments = true, $attachmentPath)
    {
        $attachment = null;

        try {
            $mail = new PHPMailer(true);

            $from = 'labham19@gmail.com';

            // Set up SMTP configuration (adjust these settings accordingly)
            $mail->isSMTP();
            $mail->Host = 'smtp.gmail.com';
            $mail->SMTPAuth = true;
            $mail->Username = $from;
            $mail->Password = 'odny tdia aqqu rqlq';
            $mail->SMTPSecure = 'tls';
            $mail->Port = 587;

            // Set up sender and recipient
            $mail->setFrom($from, $company_name);
            $mail->addAddress($toMail);

            // Set up email content
            $mail->isHTML(true);
            $mail->Subject = $subject;
            $mail->Body = $body;

            // Add attachment if required
            if ($attachments) {
                // Adjust the path and filename accordingly
                $mail->addAttachment($attachmentPath);
            }

            $mail->send();

            return response()->json(['success' => true, 'message' => 'Email sent successfully']);
        } catch (Exception $e) {
            return response()->json(['success' => false, 'message' => 'Error sending email: ' . $e->getMessage()], 500);
        }
    }
}
