<?php

namespace App\Models\Bill;

use App\Models\Account\Account;
use App\Models\Booking\BookGr;
use App\Models\FleetOwner\LoadingSlip;
use App\Models\Master\Party;
use App\Models\Master\Station;
use App\Models\Master\Vehicle;
use App\Models\Pod\Pod;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BillDesc extends Model
{
    use HasFactory;
    
    public function bill()
    {
        return $this->belongsTo(Bill::class, 'bill_id');
    }

    public function bookGr()
    {
        return $this->belongsTo(BookGr::class, 'gr_id');
    }

    public function loading_slip()
    {
        return $this->belongsTo(LoadingSlip::class, 'ls_id');
    }

    public function pod()
    {
        return $this->belongsTo(Pod::class, 'pod_id');
    }

    public function acc_party()
    {
        return $this->belongsTo(Account::class, 'acc_party_id');
    }

    public function source()
    {
        return $this->belongsTo(Station::class, 'source_id');
    }

    public function destination()
    {
        return $this->belongsTo(Station::class, 'destination_id');
    }

    public function consignor()
    {
        return $this->belongsTo(Party::class, 'consignor_id');
    }

    public function consignee()
    {
        return $this->belongsTo(Party::class, 'consignee_id');
    }

    public function vehicle()
    {
        return $this->belongsTo(Vehicle::class, 'vehicle_id');
    }
}
