<?php

namespace App\Models\Bill;

use App\Models\Account\Account;
use App\Models\Master\Branch;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CreditNote extends Model
{
    use HasFactory;

    public function cn_desc()
    {
        return $this->hasMany(CreditNoteDesc::class,'cn_id');
    }

    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }

    public function acc_party()
    {
        return $this->belongsTo(Account::class, 'acc_party_id');
    }

    public function income()
    {
        return $this->belongsTo(Account::class, 'income_id');
    }

    public function created_by_user()
    {
        return $this->belongsTo(User::class, 'created_by');
    }
}
