<?php

namespace App\Models\Booking;

use App\Models\Account\Account;
use App\Models\Master\Branch;
use App\Models\Master\Party;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DeliveryOrder extends Model
{
    use HasFactory;

    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }
    public function do_desc()
    {
        return $this->hasMany(DeliveryOrderDesc::class,'do_id');
    }

    public function book_gr()
    {
        return $this->hasMany(BookGr::class,'do_id');
    }

    public function delivery_order()
    {
        return $this->belongsTo(DeliveryOrder::class, 'do_id');
    }
    

    public function consignor()
    {
        return $this->belongsTo(Party::class, 'consignor_id');
    }

    public function consignee()
    {
        return $this->belongsTo(Party::class, 'consignee_id');
    }


    public function acc_party()
    {
        return $this->belongsTo(Account::class, 'acc_party_id');
    }
}
