<?php

namespace App\Models\FleetOwner;

use App\Models\Account\Account;
use App\Models\Master\Branch;
use App\Models\Master\Vehicle;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DieselBill extends Model
{
    use HasFactory;

    public function db_desc()
    {
        return $this->hasMany(DieselBillDesc::class, 'db_id');
    }

    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }

    public function filling_station()
    {
        return $this->belongsTo(Account::class, 'filling_station_id');
    }

    public function vehicle()
    {
        return $this->belongsTo(Vehicle::class, 'vehicle_id');
    }

}
