<?php

namespace App\Models\FleetOwner;

use App\Models\Account\Account;
use App\Models\Master\Branch;
use App\Models\Master\Vehicle;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DieselReceipt extends Model
{
    use HasFactory;

    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }

    public function vehicle()
    {
        return $this->belongsTo(Vehicle::class, 'vehicle_id');
    }


    public function dr_on_account()
    {
        return $this->belongsTo(Account::class, 'dr_on_account');
    }

    public function driver_on_account()
    {
        return $this->belongsTo(Account::class, 'driver_on_account');
    }

    public function filling_station()
    {
        return $this->belongsTo(Account::class, 'filling_station');
    }

    public function db_desc()
    {
        return $this->hasMany(DieselBillDesc::class, 'db_id');
    }

    public function diesel_bill_desc()
    {
        return $this->hasMany(DieselBillDesc::class, 'dr_id');
    }

    public function created_by()
    {
        return $this->belongsTo(User::class, 'created_by');
    }
}
