<?php

namespace App\Models\FleetOwner;

use App\Models\Account\Account;
use App\Models\Account\VoucherDesc;
use App\Models\Master\Branch;
use App\Models\Master\Vehicle;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LorryHireBill extends Model
{
    use HasFactory;

    public function lhb_desc()
    {
        return $this->hasMany(LorryHireBillDesc::class, 'lhb_id');
    }

    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }

    public function lorry_hire_from()
    {
        return $this->belongsTo(Account::class, 'lorry_hire_from_id');
    }

    public function vehicle()
    {
        return $this->belongsTo(Vehicle::class, 'vehicle_id');
    }

    public function voucher_desc()
    {
        return $this->hasMany(VoucherDesc::class,'against_number','lhb_number')->where('against', 'Lorry Hire Bill');
    }

}
