<?php

namespace App\Models\GoodsMove;

use App\Models\Master\Branch;
use App\Models\Master\Employee;
use App\Models\Master\Vehicle;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ChallanReceipt extends Model
{
    use HasFactory;

    public function challan_rec_desc()
    {
        return $this->hasMany(ChallanReceiptDesc::class,'challan_receipt_id');
    }

    public function challan()
    {
        return $this->belongsTo(Challan::class,'challan_id');
    }

    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }

    public function arrival_from()
    {
        return $this->belongsTo(Branch::class, 'arrival_from');
    }

    public function vehicle()
    {
        return $this->belongsTo(Vehicle::class, 'vehicle_id');
    }

    public function driver()
    {
        return $this->belongsTo(Employee::class, 'driver_id');
    }
}
