<?php

namespace App\Models\GoodsMove;

use App\Models\Account\Account;
use App\Models\Master\Branch;
use App\Models\Master\Employee;
use App\Models\Master\Vehicle;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Unloading extends Model
{
    use HasFactory;

    public function unloading_desc()
    {
        return $this->hasMany(UnloadingDesc::class,'unloading_id');
    }

    public function vehicle()
    {
        return $this->belongsTo(Vehicle::class, 'vehicle_id');
    }

    public function driver()
    {
        return $this->belongsTo(Employee::class, 'driver_id');
    }

    public function driver_amt_acc()
    {
        return $this->belongsTo(Account::class, 'driver_amt_acc_id');
    }

    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }

    public function arrival_from()
    {
        return $this->belongsTo(Branch::class, 'arrival_from');
    }
}
