<?php

namespace App\Models\Pod;

use App\Models\Account\Account;
use App\Models\Account\VoucherDesc;
use App\Models\Master\Branch;
use App\Models\Master\Vehicle;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Pod extends Model
{
    use HasFactory;

    public function pod_desc()
    {
        return $this->hasMany(PodDesc::class,'pod_id');
    }

    public function voucher_desc()
    {
        return $this->hasMany(VoucherDesc::class,'against_number','pod_number');
    }

    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }

    public function acc_party()
    {
        return $this->belongsTo(Account::class, 'acc_party_id');
    }

    public function lorry_hire_from()
    {
        return $this->belongsTo(Account::class, 'lorry_hire_from_id');
    }

    public function received_in_account()
    {
        return $this->belongsTo(Account::class, 'received_in_account_id');
    }
    public function received_in_account2()
    {
        return $this->belongsTo(Account::class, 'received_in_account2_id');
    }
    public function received_in_account3()
    {
        return $this->belongsTo(Account::class, 'received_in_account3_id');
    }
    public function deduction_account()
    {
        return $this->belongsTo(Account::class, 'deduction_account_id');
    }

    public function income()
    {
        return $this->belongsTo(Account::class, 'income_account_id');
    }

    public function vehicle()
    {
        return $this->belongsTo(Vehicle::class, 'vehicle_id');
    }
}
